import React from 'react';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import { ThemeProvider } from '@mui/material';
import { Root } from '../pages/root';
import { Search } from '../pages/search';
import { Header } from '../features/auth';
import theme from '../features/theme';

import './normalize.css';
import './app.scss';

export const App: React.FC = () => {
  return (
    <ThemeProvider theme={theme}>
      <BrowserRouter>
        <Header />
        <Routes>
          <Route path='/search' element={<Search />} />
          <Route path='/' element={<Root />} />
        </Routes>
      </BrowserRouter>
    </ThemeProvider>
  );
};
